# airi.py
An async wrapper for [Airi](https://airi.kyoyo.me/) API written in Python.

## Key Features
- An async library.
- Anime fact, waifu & more!
- Especially made for discord bots.
- Easy to use with an object oriented design.


## Installing

**Python 3.8 or higher is required**

You can install it by following command:

```cmd
pip install airi.py
```

## Quick Example
    
To check whether your AIRI API TOKEN is correct or not.

```py
import airi
import asyncio

async def test():
    
    """
    To check whether your AIRI API TOKEN is correct or not.
    returns: status code
    """

    client = airi.Client("TOKEN")
    # above, TOKEN is AIRI API TOKEN
    status = await client.status()

    print(status)
    
asyncio.get_event_loop().run_until_complete(test())
```
check [examples](https://github.com/EitoZX/airi.py/tree/master/examples) folder for more!

# FAQ

## How do I get the Airi API token?
To get the token, [join Discord server of Airi](https://discord.gg/yyW389c). Move to `#bot-commands` channel. And do `-claim`. 

From here, further process should start in your DM. Good luck!

## My Token is not working anymore. Why?
Make sure that you've joined the support server, or else it won't work. If it's still not working, please ask for help in their official server.

## Any ratelimit?
Yes, 5 requests/second.

## API website?
Here: https://airi.kyoyo.me/

## Related Links

- [Official Airi Server](https://discord.gg/yyW389c)
- [My Server (for help)](https://discord.gg/7Ex2TEPvAn)
- [Documentation](https://airipy.readthedocs.io/en/latest/)
