import setuptools 
import airi


version = airi.__version__
author = airi.__author__

requirements = []
with open('requirements.txt') as f:
    requirements = f.read().splitlines()


with open("README.md", "r") as f:
    long_description = f.read()

project_urls={
    "Documentation": "https://airipy.readthedocs.io/en/latest/",
    "Source": "http://github.com/EitoZX/airi.py"
}


setuptools.setup(
    name = "airi.py",
    author = author,
    author_email = "iameitozx@gmail.com",
    url = "http://github.com/EitoZX/airi.py",
    project_urls = project_urls,
    version = version,
    description = "An async wrapper for Airi API written in Python.",
    long_description = long_description,
    long_description_content_type = "text/markdown",
    packages = setuptools.find_packages(),
    license_files = "LICENSE",
    install_requires = requirements,
    keywords = ['airi','anime-api','anime','python','airi-api-wrapper'],
)